Bug 26429 - Running pump when pump already running destroys existing routes
Running pump when pump already running destroys existing routes
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: pump (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-06 22:37 EST by John William
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-16 09:31:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John William 2001-02-06 22:37:26 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98)


I'm using pump-0.8.3-2. Running pump the first time correctly puts my eth0 
interface under management and sets up the routes correctly. Running pump 
a second time give an "Operation failed." message and deletes all routes 
associated with the interface under management as well as the default 
route. This will effectively disable networking on the machine if the 
interface under management is the internet interface.

Reproducible: Always
Steps to Reproduce:
1.Run /sbin/pump. Run /sbin/route to see that proper routes were set up.
2.Run /sbin/pump again. Notice that routes associated with the interface 
under management have now disappeared.
3.killall pump and run /sbin/pump to return everything to normal.

Actual Results:  Kills routes associated with interface under management.

Expected Results:  Should do nothing or just print interface status.

Should just print interface stats or usage. Should not disrupt existing 
interfaces under management.
Comment 1 Elliot Lee 2001-08-08 00:45:42 EDT
I believe pump is meant to be run to get it to manage interfaces only, not as a 
status tool. "It breaks when I do that!" "Don't do that."

Apologies for the unresponsiveness of the previous pump packager...

Note You need to log in before you can comment on or make changes to this bug.